# WordPress Publish

Publishes Drupal content to a WordPress blog automatically or on a per-node basis.

## Requirements
- Drupal 10.3 or 11.0
- WordPress site with REST API enabled
- WordPress Application Passwords plugin (recommended)

## Installation
1. Install via Composer: `composer require drupal/wp_publish`
2. Enable the module: `drush en wp_publish`
3. Configure settings at `/admin/config/services/wp-publish`.

## Configuration
- Enter the WordPress site URL, username, and application password.
- Select content types to enable automatic publishing.
- Optionally, enable per-node publishing on node forms.

## Maintainers
- Bhavin Joshi - https://bhj.im/do
