<?php

namespace Drupal\Tests\wp_publish\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Functional tests for WordPress Publish module.
 *
 * @group wp_publish
 */
class WpPublishTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['wp_publish', 'node'];

  /**
   * Tests the settings form accessibility.
   */
  public function testSettingsForm() {
    $admin_user = $this->drupalCreateUser(['administer wp publish']);
    $this->drupalLogin($admin_user);

    $this->drupalGet('/admin/config/services/wp-publish');
    $this->assertSession()->statusCodeEquals(200);
  }
}
